# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies
#
# If you believe there's an error in this file please file an
# issue against the rust-lang/cargo repository. If you're
# editing this file be aware that the upstream Cargo.toml
# will likely look very different (and much more reasonable)

[package]
edition = "2018"
name = "clarity-repl"
version = "0.3.0"
authors = ["Ludo Galabru <ludovic@galabru.com>"]
exclude = ["vs-client/**"]
description = "Clarity REPL"
homepage = "https://lgalabru.github.io/clarity-repl/"
readme = "README.md"
keywords = ["blockstack", "blockchain", "clarity", "smart-contract", "repl"]
categories = ["command-line-utilities", "development-tools", "development-tools::build-utils"]
license = "GPL-3.0-only"
repository = "https://github.com/lgalabru/clarity-repl"
[package.metadata.wasm-pack.profile.release.wasm-bindgen]
debug-js-glue = false
demangle-name-section = true
dwarf-debug-info = false
[profile.release]
opt-level = "s"

[lib]
name = "clarity_repl"
crate-type = ["cdylib", "rlib"]
path = "src/lib.rs"

[[bin]]
name = "clarity-repl"
path = "src/bin.rs"
[dependencies.ansi_term]
version = "0.12.1"

[dependencies.integer-sqrt]
version = "0.1.3"

[dependencies.lazy_static]
version = "1.4.0"

[dependencies.libsecp256k1]
version = "0.3.5"

[dependencies.pico-args]
version = "0.3.1"
optional = true

[dependencies.regex]
version = "1.3.4"

[dependencies.ripemd160]
version = "0.8.0"

[dependencies.rustyline]
version = "6.1.2"
optional = true

[dependencies.serde]
version = "1.0"
features = ["derive"]

[dependencies.serde_derive]
version = "1.0"

[dependencies.serde_json]
version = "1.0.47"
features = ["unbounded_depth"]

[dependencies.serde_stacker]
version = "0.1"

[dependencies.sha2]
version = "0.8.1"

[dependencies.sha3]
version = "0.8.2"

[dependencies.wasm-bindgen]
version = "0.2"
optional = true

[features]
cli = ["pico-args", "rustyline"]
default = ["cli"]
wasm = ["wasm-bindgen"]
